-- get the addon namespace
local addon, ns = ...
-- get the config values
local cfg = ns.cfg
-- holder for some lib functions
local lib = _G["HEDD_lib"] or CreateFrame("Frame","HEDD_lib")
ns.lib = lib

lib.ComboAdd = function(f,num,pos,x,y,space,smooth)
	num = num or 5
	pos = pos or {"BOTTOM",f,"TOP",0,20}
	x=x or 5
	y=y or 10
	space = space or 2
	smooth = smooth or {0,1,0, 1,1,0, 1,0,0}
	f.combo = f.combo or CreateFrame("Frame","$parent_Combo",f)
	f.combo.num=num
	f.combo:SetHeight(y)
	f.combo:SetWidth((x+space)*num-space)
	f.combo:SetPoint(unpack(pos))
	for i=1, num do
		f.combo[i] = f.combo[i] or f.combo:CreateTexture("$parent_"..i, "OVERLAY")
		f.combo[i]:SetHeight(y)
		f.combo[i]:SetWidth(x)
		f.combo[i]:SetTexture(cfg.statusbar_texture)
		f.combo[i]:SetPoint("BOTTOMLEFT",f.combo,"BOTTOMLEFT",(x+space)*(i-1),0)
		f.combo[i]:SetVertexColor(hedlib.ColorGradient((i-1)/(num-1),unpack(smooth)))
		f.combo[i]:Hide()
	end
	return f.combo
end

lib.ComboSet = function(num)
	if Heddframe.combo then
		for i=1,Heddframe.combo.num do
			if i<=num then
				Heddframe.combo[i]:Show()
			else
				Heddframe.combo[i]:Hide()
			end
		end
	end
end
